For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all accounting entities
        • GETGet accounting entity by id
        • GETGet all invoices
        • GETGet an invoice by ID
        • GETGet all payable registers
        • GETGet a payable register by ID
        • POSTCreate Invoice: Yardi REST
        • POSTCancel Payable Register: Yardi REST
        • POSTCreate Payable Register: Yardi REST
        • POSTCreate Payable Register File (file upload): Yardi REST
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTInvoices

Get all payable registers

GET
/v1/payable-registers/
GET
/v1/payable-registers/
$curl https://api.propexo.com/v1/payable-registers/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "cl9kz7rp10007usxq3mk0e2gl",
18 "x_property_id": "na",
19 "x_location_id": null,
20 "x_financial_account_id": null,
21 "x_cash_financial_account_id": "11100000",
22 "x_ap_financial_account_id": "22000000",
23 "x_vendor_id": null,
24 "x_batch_id": null,
25 "amount_due_in_cents": null,
26 "amount_paid_in_cents": 50000,
27 "custom_data": {},
28 "due_date": null,
29 "discount_amount_in_cents": null,
30 "discount_date": null,
31 "invoice_date": "2024-09-05T00:00:00.000Z",
32 "invoice_number": "cxp34657",
33 "notes": "A string of data generally provided by the PMC",
34 "post_date": null,
35 "post_month": "2024-02-01",
36 "post_status_raw": null,
37 "sub_total_amount_in_cents": null,
38 "total_amount_in_cents": 87500,
39 "status": "Keyed",
40 "is_unpaid": true,
41 "is_adjustment": true,
42 "is_credit_memo": true,
43 "is_exempt_from_1099": true,
44 "display_type": "Accrual",
45 "expense_type": "Operating",
46 "property_id": "clwi5xiix000008l6ctdgafyh",
47 "financial_account_id": null,
48 "cash_financial_account_id": "cl9kz7rp10006usxq3mk0e2gl",
49 "ap_financial_account_id": "cl9kz7rp10005usxq3mk0e2gl",
50 "integration_id": "clwh5u07w000508me66sfh3um",
51 "integration_vendor": "YARDI_REST",
52 "payable_register_items": [
53 {
54 "x_id": "cl9kz7rp10004usxq3mk0e2gl",
55 "x_property_id": "3299",
56 "x_location_id": null,
57 "x_gl_account_id": "22700000",
58 "x_cash_financial_account_id": "11100000",
59 "payable_register_id": "cl9kz7rp10003usxq3mk0e2gl",
60 "construction_job_id": "cl9kz7rp10001usxq3mk0e2gl",
61 "amount_due_in_cents": null,
62 "notes": "A string of data about the invoice, generally added by the PMC",
63 "total_amount_in_cents": 80000,
64 "cost_code": "Equ",
65 "property_id": "clwi5xiix000008l6ctdgafyh",
66 "financial_account_id": "cl9kz7rp10002usxq3mk0e2gl",
67 "cash_financial_account_id": "cl9kz7rp10000usxq3mk0e2gl"
68 }
69 ]
70 }
71 ]
72}
Get all payable registers
Was this page helpful?
Previous

Get a payable register by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error